# Summary

[Giriş](README.md)

- [Beşeri Güvenlik](beseri_guvenlik/README.md)
  - [Mesaj Disiplini](beseri_guvenlik/mesaj_disiplini.md)
  - [Parolalar](beseri_guvenlik/parolalar.md)
  - [Çift Aşamalı Doğrulama (2FA)](beseri_guvenlik/2fa.md)
     - [andOTP ile OTP](beseri_guvenlik/andotp.md)
     - [Yubikey ile 2FA](beseri_guvenlik/yubikey_2fa.md)
  - [Fiziki Güvenlik](beseri_guvenlik/fiziki_guvenlik.md)
     - [Haven ile Ortam İzlemesi](beseri_guvenlik/haven.md)
     - [Oje ve Entropi ile Cihaz Güvenliği](beseri_guvenlik/oje.md)
     - [Private Lock ile Kapkaç Tedbiri](beseri_guvenlik/private_lock.md)
     - [Locker ile Ekran Kilidi Güvenliği](beseri_guvenlik/locker.md)
     - [Yazıcılarınızdaki tehlike: Machine Identification Code](beseri_guvenlik/mic.md)
     - [Sınır geçiş güvenliği](beseri_guvenlik/sinir_guvenligi.md)
- [Cihaz Güvenliği](cihaz_guvenligi/README.md)
  - [Yazılım Güvenliği](cihaz_guvenligi/yazilim_guvenligi.md)
  - [Boot Güvenliği](cihaz_guvenligi/boot_guvenligi.md)
     - [Libreboot ve GnuPG ile boot güvenliği](cihaz_guvenligi/libreboot_grub.md)
     - [Şifreli Boot Sektörü](cihaz_guvenligi/sifreli_boot.md)
     - [Harici Bellekte Boot Sektörü](cihaz_guvenligi/usb_grub.md)
  - [Login Güvenliği](cihaz_guvenligi/login.md)
     - [Yubikey PAM](cihaz_guvenligi/yubikey_pam.md)
     - [Google Authenticator PAM](cihaz_guvenligi/ga_pam.md)
     - [Parmak izi PAM](cihaz_guvenligi/parmak_pam.md)
  - [Cihaz Şifreleme](cihaz_guvenligi/cihaz_sifreleme.md)
  - [Mobil Cihazlar](cihaz_guvenligi/mobil_cihazlar.md)
     - [Mobil Cihaz Tercihi](cihaz_guvenligi/mobil_cihaz_tercih.md)
     - [LineageOS](cihaz_guvenligi/lineageos.md)
     - [GrapheneOS](cihaz_guvenligi/grapheneos.md)
     - [Mobil Cihaz Güvenliği](cihaz_guvenligi/mobil_cihaz_tavsiyeler.md)
  - [Taşınabilir Bellekler](cihaz_guvenligi/luks_usb.md)
  - [Optik Diskler](cihaz_guvenligi/luks_optik.md)
  - [Uzak sunucu](cihaz_guvenligi/uzaksunucu.md)
     - [SSH Güvenliği](cihaz_guvenligi/ssh.md)
     - [SSH ile OTP Kullanımı](cihaz_guvenligi/sunucu_2fa.md)
  - [Yönlendirici Güvenliği](cihaz_guvenligi/yonlendirici.md)
     - [LibreCMC](cihaz_guvenligi/librecmc.md)
     - [OpenWRT](cihaz_guvenligi/openwrt.md)
- [Yazışma Güvenliği](yazisma_guvenligi/README.md)
  - [GnuPG](yazisma_guvenligi/gpg/gpg.md)
    - [GnuPG Anahtar Üretimi](yazisma_guvenligi/gpg/gpg-anahtar-uretimi.md)
    - [GnuPG Gelişmiş Anahtar Üretimi](yazisma_guvenligi/gpg/gpg_gelismis_anahtar_uretimi.md)
    - [GnuPG Anahtarını Saklama](yazisma_guvenligi/gpg/anahtar-saklama.md)
    - [Anahtarın Kağıt Yedeğini Almak](yazisma_guvenligi/gpg/paperbackup.md)
    - [GnuPG Grafik Arayüz Kullanımı](yazisma_guvenligi/gpg/gui_gpg.md)
    - [GnuPG Komut Satırı Kullanımı](yazisma_guvenligi/gpg/ucbirim_gpg.md)
    - [GnuPG Güven Ağı](yazisma_guvenligi/gpg/wot.md)
    - [GnuPG Web Anahtar Dizini](yazisma_guvenligi/gpg/wkd.md)
    - [GnuPG ile Git Kullanımı](yazisma_guvenligi/gpg/gpg-git.md)
  - [Şifreli E-Posta](yazisma_guvenligi/openpgp.md)
    - [Thunderbird/Enigmail ile E-posta Şifreleme](yazisma_guvenligi/thunderbird_enigmail.md)
    - [Kmail ile E-posta Şifreleme](yazisma_guvenligi/kmail.md)
    - [Mailvelope ile E-posta Şifreleme](yazisma_guvenligi/mailvelope.md)
    - [Terminal ile E-posta Şifreleme](yazisma_guvenligi/ucbirim_eposta.md)
  - [Şifreli E-Posta Hizmetleri](yazisma_guvenligi/sifreli-eposta-hizmetleri.md)
    - [ProtonMail](yazisma_guvenligi/protonmail/protonmail.md)
    - [Tutanota](yazisma_guvenligi/tutanota.md)
  - [Anlık Yazışma](yazisma_guvenligi/anlik_yazisma.md)
    - [OTR ile Anlık Yazışma](yazisma_guvenligi/otr.md)
    - [OMEMO ile Anlık Yazışma](yazisma_guvenligi/omemo.md)
    - [Signal ile Anlık Yazışma](yazisma_guvenligi/signal.md)
    - [Silence ile SMS Şifreleme](yazisma_guvenligi/silence.md)
- [Ağ Güvenliği](ag_guvenligi/README.md)
  - [Güvenli Web Gezintisi](ag_guvenligi/guvenli_web_gezintisi.md)
  - [Pi Hole ile Ev Ağını Güvene Almak](ag_guvenligi/pi-hole.md)
  - [Tor](ag_guvenligi/tor.md)
    - [OnionShare](ag_guvenligi/onionshare.md)
  - [VPN](ag_guvenligi/vpn.md)
  - [Shadowsocks Proxy](ag_guvenligi/shadowsocks.md)
  - [Let's Encrypt](ag_guvenligi/letsencrypt.md)

---
[Katkıda Bulunanlar ve Lisans](credits.md)
[Ek kaynaklar](resources.md)
